Name:           python-d3graph
Version:        2.5.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python package to create interactive network based on d3js.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://erdogant.github.io/d3graph
Source:         %{pypi_source d3graph}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'd3graph' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-d3graph
Summary:        %{summary}

%description -n python3-d3graph %_description


%prep
%autosetup -p1 -n d3graph-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-d3graph -f %{pyproject_files}


%changelog
%autochangelog